<?php

namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class AdmissaoService {
    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function getVinculosNaoAprovados(
        int    $nrOrg,
        string $cdOperador,
               $nrEstrutura
    ): array {
        $route = 'getVinculosNaoAprovados';

        $params = [
            'requestType' => 'Row',
            'row' => [
                'CDOPERADOR'    => $cdOperador,
                'NRESTRUTURAM'  => $nrEstrutura,
            ],
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $admissoes = $result['dataset'][$route];

        return $admissoes;
    }

    public function setAdmissaoSimplificada(
        array $row
    ): bool {
        $route = 'setAdmissaoSimplificada';
        $nrOrg = (int) $row['NRORG'];

        $params = [
            'requestType' => 'Row',
            'row' => $row,
        ];

        $result = $this->hcmServices->send($route, $params, $nrOrg);
        $success = $result['dataset'][$route]['success'];

        return $success;
    }
}