CREATE OR REPLACE FUNCTION ARQUIVO_GIM_RN_11(
   P_CDIMPOSTO    IN IMPOSTO.CDIMPOSTO%TYPE,
   P_CDEMPRESA    IN EMPRESA.CDEMPRESA%TYPE,
   P_CDINSCESTA   IN EMPRESA.CDINSCESTA%TYPE,
   P_DTINICIAL    IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_DTFINAL      IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_NRSEQARQMAG  IN ARQMAGNETICO.NRSEQARQMAG%TYPE,
   P_CONTADOR     IN NUMBER) RETURN VARCHAR
AS
   V_DADOS          VARCHAR2(4000);
   V_CDIMPOSTRIB    VARCHAR2(02);
   V_CONTADOR       NUMBER;

BEGIN
   V_CONTADOR := P_CONTADOR;

   SELECT LPAD(REPLACE(LTRIM(TO_CHAR(ROUND(NVL(SUM(VRNORMCRED),'0'),2), '999999999990.00')), '.', ''), 14, '0')||
          LPAD(REPLACE(LTRIM(TO_CHAR(ROUND(NVL(SUM(VROUTRCRED),'0'),2), '999999999990.00')), '.', ''), 14, '0')||
          LPAD(REPLACE(LTRIM(TO_CHAR(ROUND(NVL(SUM(VRESTODEBI),'0'),2), '999999999990.00')), '.', ''), 14, '0')||
          LPAD(REPLACE(LTRIM(TO_CHAR(ROUND(NVL(SUM(VRTOTACRED),'0'),2), '999999999990.00')), '.', ''), 14, '0')||
          LPAD(REPLACE(LTRIM(TO_CHAR(ROUND(NVL(SUM(VRSLDCRANTE),'0'),2), '999999999990.00')), '.', ''), 14, '0')||
          LPAD(REPLACE(LTRIM(TO_CHAR(ROUND(NVL(SUM(VRTOTACRED+VRSLDCRANTE),'0'),2), '999999999990.00')), '.', ''), 14, '0')
   INTO V_DADOS
   FROM MAPAAPURAC M, MAPARECUP MP
   WHERE M.CDEMPRESA = P_CDEMPRESA
     AND M.CDINSCESTA = P_CDINSCESTA
     AND M.DTINIPERIODO = P_DTINICIAL
     AND M.DTFIMPERIODO = P_DTFINAL
     AND M.CDIMPOSTO = P_CDIMPOSTO
     AND MP.NRSEQUMAPAPU = M.NRSEQUMAPAPU;

   IF V_DADOS IS NOT NULL THEN
      V_CONTADOR := NVL(V_CONTADOR,0)+1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        (RPAD('11',10,'0'), V_DADOS, P_NRSEQARQMAG);
   END IF;

   RETURN(LPAD(TO_CHAR(V_CONTADOR), 10, '0'));
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('ARQUIVO_GIM_RN_11','5.05.024'); END;
/

