<?php
namespace Zeedhi\Framework\Process;

/**
 * Contains a single process. Must no be changed after started to prevent
 * exhausting php/apache/application memory.
 */
interface Process{
    /**
     * Returns the process id.
     */
    public function getId() : string;

    /**
     * Calls the process callback.
     *
     * @return boolean TRUE if callable, FALSE otherwise.
     */
    public function run() : boolean;
}